post
https://api.instantpay.in/identity/mobile/nameLookup
A Name Lookup API that allows users or applications to look up the owner’s name associated with a given phone number. These APIs are used in cases where you need to verify the identity of a caller, enhance user profiles, or validate the legitimacy of phone numbers.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is "1" (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id Provided by Instantpay | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret Provided by Instantpay | M | Y |
| X-Ipay-Endpoint-Ip | String | End customer IP Address | M | Y |
Request Parameters
| Parameter Name | Type | Requirement | Description |
|---|---|---|---|
| mobileNumber | String | Mandatory | User Mobile Number |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude |
| externalRef | String | Mandatory | Your Unique Transaction id |
| consent | String | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/mobile/nameLookup' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
"mobileNumber" : 9876543210,
"consent" : "Y",
"latitude": "11.1009",
"longitude": "26.9119",
"externalRef": "1729743447"
}'POST /identity/mobile/nameLookup HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
{
"mobileNumber" : 91XXXXXXXX,
"consent" : "Y",
"latitude": "11.1009",
"longitude": "26.9119",
"externalRef": "1729743474"
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action Code |
| status | Array | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
| internalCode | String | It will be null |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"mobileLinkedName": "No Record found",
"poolReferenceId": "123456789ABCDE",
"pool": {
"openingBal": "316977.56",
"mode": "DR",
"amount": "1.18",
"closingBal": "316976.38"
}
},
"timestamp": "2026-02-03 14:56:58",
"ipay_uuid": "h000a0fd9aa6-ee6a-4fd4-963b-bdc17448d00d-GvIb5vAIAw0D",
"orderid": "123456789ABCDE",
"environment": "LIVE",
"internalCode": null
},
